Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
AMIGA get working
#11
Hello, 

I cannot get UAE4Arm to work on my RetroStone so have tried Amiberry as suggested in this thread, however I cannot install Amiberry due to some dependencies that can not load such as libsdl1.2-dev.

This is a fresh install of Ropi 4.2 full on RetroStone. Any advice welcome.

UPDATE: I have included my RP_Setup log output below:

Log started at: Sun Apr  7 02:01:47 CEST 2019

RetroPie-Setup version: 4.4.7 (09e34b0)
System: Linux RetrOrangePi 3.4.113-sun8i #12 SMP PREEMPT Fri Aug 17 01:23:50 CEST 2018 armv7l GNU/Linux

= = = = = = = = = = = = = = = = = = = = =
Installing dependencies for 'amiberry' : Amiga emulator with JIT support (forked from uae4arm)
= = = = = = = = = = = = = = = = = = = = =

Did not find needed package(s): libsdl1.2-dev libsdl-gfx1.2-dev libsdl-ttf2.0-dev libguichan-dev libmpg123-dev libxml2-dev libflac-dev libmpeg2-4-dev. I am trying to install them now.
Get:1 http://security.debian.org jessie/updates InRelease [44.9 kB]
Ign http://httpredir.debian.org jessie InRelease
Get:2 http://httpredir.debian.org jessie-updates InRelease [7,340 B]
Ign http://httpredir.debian.org jessie-backports InRelease
Hit http://httpredir.debian.org jessie Release.gpg
Ign http://httpredir.debian.org jessie-backports Release.gpg
Hit http://httpredir.debian.org jessie Release
Ign http://httpredir.debian.org jessie-backports Release
Get:3 http://security.debian.org jessie/updates/main armhf Packages [795 kB]
Hit http://apt.armbian.com jessie InRelease
Get:4 http://httpredir.debian.org jessie/main armhf Packages [8,898 kB]
Get:5 http://security.debian.org jessie/updates/contrib armhf Packages [994 B]
Get:6 http://security.debian.org jessie/updates/non-free armhf Packages [4,416 B]
Get:7 http://apt.armbian.com jessie/main armhf Packages [454 kB]
Get:8 http://httpredir.debian.org jessie/contrib armhf Packages [44.3 kB]
Get:9 http://httpredir.debian.org jessie/non-free armhf Packages [74.9 kB]
Get:10 http://apt.armbian.com jessie/jessie-utils armhf Packages [7,949 B]
Err http://httpredir.debian.org jessie-backports/main armhf Packages
  
Err http://httpredir.debian.org jessie-backports/contrib armhf Packages
  
Get:11 http://apt.armbian.com jessie/jessie-desktop armhf Packages [22.6 kB]
Err http://httpredir.debian.org jessie-backports/non-free armhf Packages
  
Err http://httpredir.debian.org jessie-backports/main armhf Packages
  
Err http://httpredir.debian.org jessie-backports/contrib armhf Packages
  
Err http://httpredir.debian.org jessie-backports/non-free armhf Packages
  
Err http://httpredir.debian.org jessie-backports/main armhf Packages
  
Err http://httpredir.debian.org jessie-backports/non-free armhf Packages
  
Err http://httpredir.debian.org jessie-backports/main armhf Packages
  404  Not Found [IP: 151.101.184.204 80]
Err http://httpredir.debian.org jessie-backports/contrib armhf Packages
  404  Not Found [IP: 151.101.184.204 80]
Err http://httpredir.debian.org jessie-backports/non-free armhf Packages
  404  Not Found [IP: 151.101.184.204 80]
Fetched 10.4 MB in 15s (651 kB/s)
W: Failed to fetch http://httpredir.debian.org/debian/dists.../InRelease  Unable to find expected entry 'main/binary-armhf/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://httpredir.debian.org/debian/dists...f/Packages  404  Not Found [IP: 151.101.184.204 80]

W: Failed to fetch http://httpredir.debian.org/debian/dists...f/Packages  404  Not Found [IP: 151.101.184.204 80]

W: Failed to fetch http://httpredir.debian.org/debian/dists...f/Packages  404  Not Found [IP: 151.101.184.204 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
  liballegro4-dev libasound2-dev libcaca-dev libcaca0 libdirectfb-dev
  libdrm-amdgpu1 libdrm-dev libdrm-exynos1 libdrm-freedreno1 libdrm-nouveau2
  libdrm-omap1 libdrm-radeon1 libdrm-tegra0 libdrm2 libfreetype6-dev
  libgl1-mesa-dev libgl1-mesa-glx libglapi-mesa libgles1-mesa libgles2-mesa
  libglib2.0-0 libglib2.0-bin libglib2.0-dev libglu1-mesa-dev libjbig-dev
  libjpeg-dev libjpeg62-turbo libjpeg62-turbo-dev liblzma-dev libogg-dev
  libpng12-dev libpthread-stubs0-dev libpulse-dev libpulse-mainloop-glib0
  libpulse0 libpulsedsp libsdl-image1.2-dev libsdl1.2debian libslang2-dev
  libsoxr0 libtiff5 libtiff5-dev libtiffxx5 libwebp-dev libx11-dev
  libx11-xcb-dev libxau-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev
  libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev
  libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxcursor-dev libxdamage-dev
  libxdmcp-dev libxext-dev libxfixes-dev libxml2 libxpm-dev libxrender-dev
  libxshmfence-dev libxxf86vm-dev mesa-common-dev pkg-config pulseaudio
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-utils
  x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev
  x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-render-dev
  x11proto-xext-dev x11proto-xf86vidmode-dev xtrans-dev
Suggested packages:
  libasound2-doc libglib2.0-doc liblzma-doc libsdl-gfx1.2-doc libxcb-doc
  libxext-doc paprefs avahi-daemon
Recommended packages:
  xdg-user-dirs libx11-doc xml-core pulseaudio-module-x11 rtkit
The following NEW packages will be installed:
  liballegro4-dev libasound2-dev libcaca-dev libdirectfb-dev libdrm-amdgpu1
  libdrm-dev libdrm-tegra0 libflac-dev libfreetype6-dev libgl1-mesa-dev
  libglib2.0-dev libglu1-mesa-dev libguichan-dev libjbig-dev libjpeg-dev
  libjpeg62-turbo-dev liblzma-dev libmpeg2-4-dev libmpg123-dev libogg-dev
  libpng12-dev libpthread-stubs0-dev libpulse-dev libsdl-gfx1.2-dev
  libsdl-image1.2-dev libsdl-ttf2.0-dev libsdl1.2-dev libslang2-dev libsoxr0
  libtiff5-dev libwebp-dev libx11-dev libx11-xcb-dev libxau-dev
  libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev
  libxcb-xfixes0-dev libxcb1-dev libxcursor-dev libxdamage-dev libxdmcp-dev
  libxext-dev libxfixes-dev libxml2-dev libxpm-dev libxrender-dev
  libxshmfence-dev libxxf86vm-dev mesa-common-dev pkg-config x11proto-core-dev
  x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
  x11proto-input-dev x11proto-kb-dev x11proto-render-dev x11proto-xext-dev
  x11proto-xf86vidmode-dev xtrans-dev
The following packages will be upgraded:
  libcaca0 libdrm-exynos1 libdrm-freedreno1 libdrm-nouveau2 libdrm-omap1
  libdrm-radeon1 libdrm2 libgl1-mesa-glx libglapi-mesa libgles1-mesa
  libgles2-mesa libglib2.0-0 libglib2.0-bin libjpeg62-turbo
  libpulse-mainloop-glib0 libpulse0 libpulsedsp libsdl1.2debian libtiff5
  libtiffxx5 libxml2 pulseaudio pulseaudio-module-bluetooth
  pulseaudio-module-gconf pulseaudio-utils
25 upgraded, 67 newly installed, 0 to remove and 258 not upgraded.
Need to get 21.3 MB of archives.
After this operation, 47.5 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  libdrm2 libgles2-mesa libgles1-mesa libgl1-mesa-glx libglapi-mesa
  libglib2.0-bin libglib2.0-0 libpulsedsp pulseaudio-utils
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio
  libpulse-mainloop-glib0 libpulse0 libdrm-amdgpu1 libdrm-radeon1
  libdrm-nouveau2 libdrm-omap1 libdrm-freedreno1 libdrm-exynos1 libdrm-tegra0
  libdrm-dev mesa-common-dev libgl1-mesa-dev libglib2.0-dev libpulse-dev
E: There are problems and -y was used without --force-yes
Could not install package(s): libsdl1.2-dev libsdl-gfx1.2-dev libsdl-ttf2.0-dev libguichan-dev libmpg123-dev libxml2-dev libflac-dev libmpeg2-4-dev.

Log ended at: Sun Apr  7 02:02:39 CEST 2019
Total running time: 0 hours, 0 mins, 52 secs

I'm getting similar error when installing Amiberry or UAE4Arm on a fresh install of 4.2 Full
Reply
#12
I found this with a search on Google from a couple weeks ago. Looks to be a change in repo for the Jesse Backports:
https://unix.stackexchange.com/questions...repository

Though I am new to the Platform (Ropi) and am unsure if this is something I can resolve on my end. Again, any guidance would be appreciated.
Reply
#13
please follow https://github.com/retr0rangepi/RetrOrangePi/issues/46

working on a solution as we speak
Reply
#14
Fixed.
Reply
#15
(04-08-2019, 05:36 PM)alexkidd Wrote: Fixed.

Brilliant! Thanks Smile

(04-13-2019, 10:25 PM)luckithroe Wrote:
(04-08-2019, 05:36 PM)alexkidd Wrote: Fixed.

Brilliant! Thanks Smile

Still unable to install the amiberry. End result is same as before, is something I'm doing incorrectly? 

First attempt == same result.
Second attempt, updated retropie setup script again == still same result.
Reply
#16
Whoops - in the wise words of my first mentor when I was brand new to software engineering: "If you did it right, it would work". *D'oh*

I had failed to first execute the RetroOrangePi update. After doing so, now the fetches appear to be working correctly. Thanks so much, and hopefully this thread (and your hard work) can benefit many others.

*cheers*
Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Opi Pc Usb ports not working Broos-E 0 189 10-04-2019, 06:22 AM
Last Post: Broos-E
  Autoconfig Not Working on Orange PI One cmgonzalez 1 578 05-14-2019, 11:06 AM
Last Post: alexkidd
  Reicast update script not working Gakros 10 3,363 03-29-2019, 12:02 AM
Last Post: alexkidd
  Don't Working GPIO Joypad on OPi Zero... intelis 3 1,813 12-04-2018, 02:30 PM
Last Post: intelis
  USB Gamepad not working in retroarch solved ) dee098 1 1,516 09-11-2018, 09:52 PM
Last Post: alexkidd

Forum Jump:


Users browsing this thread: 1 Guest(s)